[
    {
        "Id": "8d9a75eb471b07cfb390e7fe9adcc7d2d54e8c7b5ddee586668d088242acf529",
        "Created": "2025-08-08T01:51:42.480749553Z",
        "Path": "docker-entrypoint.sh",
        "Args": [
            "valkey-server"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 97065,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-19T12:42:46.668023997Z",
            "FinishedAt": "2025-08-19T12:42:46.451827228Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-23T21:47:25.463747052-04:00",
                        "End": "2025-08-23T21:47:25.526553328-04:00",
                        "ExitCode": 0,
                        "Output": "PONG\n"
                    },
                    {
                        "Start": "2025-08-23T21:47:55.528188852-04:00",
                        "End": "2025-08-23T21:47:55.636507965-04:00",
                        "ExitCode": 0,
                        "Output": "PONG\n"
                    },
                    {
                        "Start": "2025-08-23T21:48:25.637834942-04:00",
                        "End": "2025-08-23T21:48:25.731372676-04:00",
                        "ExitCode": 0,
                        "Output": "PONG\n"
                    },
                    {
                        "Start": "2025-08-23T21:48:55.732573068-04:00",
                        "End": "2025-08-23T21:48:55.854064251-04:00",
                        "ExitCode": 0,
                        "Output": "PONG\n"
                    },
                    {
                        "Start": "2025-08-23T21:49:25.854382854-04:00",
                        "End": "2025-08-23T21:49:25.968572285-04:00",
                        "ExitCode": 0,
                        "Output": "PONG\n"
                    }
                ]
            }
        },
        "Image": "sha256:bcc373d8f1ec874f2fc597e45e1976d6396011425442f6f2a74c9760932cc833",
        "ResolvConfPath": "/var/lib/docker/containers/8d9a75eb471b07cfb390e7fe9adcc7d2d54e8c7b5ddee586668d088242acf529/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/8d9a75eb471b07cfb390e7fe9adcc7d2d54e8c7b5ddee586668d088242acf529/hostname",
        "HostsPath": "/var/lib/docker/containers/8d9a75eb471b07cfb390e7fe9adcc7d2d54e8c7b5ddee586668d088242acf529/hosts",
        "LogPath": "/var/lib/docker/containers/8d9a75eb471b07cfb390e7fe9adcc7d2d54e8c7b5ddee586668d088242acf529/8d9a75eb471b07cfb390e7fe9adcc7d2d54e8c7b5ddee586668d088242acf529-json.log",
        "Name": "/immich_redis",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "immich_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "always",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "8d9a75eb471b07cfb390e7fe9adcc7d2d54e8c7b5ddee586668d088242acf529",
                "LowerDir": "/var/lib/docker/overlay2/373318b5d96c4741368aaf75e780c1617abc01dd08f32fe30e7374d88763a57a-init/diff:/var/lib/docker/overlay2/86372c955212660552e8cd740c5fdc53a9c18c100e648722f204a8a533739e14/diff:/var/lib/docker/overlay2/03a41aac59435d80bf798cc75f00aa0712dde95c492de441d487e7457d7d61d5/diff:/var/lib/docker/overlay2/eec97e6a8b80449e29eb79e654b1ca697e64f302c6310b0d42d06d66733a2e5b/diff:/var/lib/docker/overlay2/78b0dd4a5eb7a4f52446a8b45f5ce5eeb8ced2b57b63d6f3d685dd3a63056717/diff:/var/lib/docker/overlay2/d3b5bba9d5874b1c6c6afbf0d7f600a5714dc76ef01c1de9b7d348ffe9974980/diff:/var/lib/docker/overlay2/bbdc4c4eb2ca5b613fefa791c6f96d7f152fb82af71623fdfdcb5331d055be00/diff:/var/lib/docker/overlay2/4ee1cef48a256aae1ee133853b67c308e7b651eae10896a80d3485b06794bf30/diff",
                "MergedDir": "/var/lib/docker/overlay2/373318b5d96c4741368aaf75e780c1617abc01dd08f32fe30e7374d88763a57a/merged",
                "UpperDir": "/var/lib/docker/overlay2/373318b5d96c4741368aaf75e780c1617abc01dd08f32fe30e7374d88763a57a/diff",
                "WorkDir": "/var/lib/docker/overlay2/373318b5d96c4741368aaf75e780c1617abc01dd08f32fe30e7374d88763a57a/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "volume",
                "Name": "ea89627ba917b667163aaa37d8ec2f9c1895530fde67be90459db02f6b986a6b",
                "Source": "/var/lib/docker/volumes/ea89627ba917b667163aaa37d8ec2f9c1895530fde67be90459db02f6b986a6b/_data",
                "Destination": "/data",
                "Driver": "local",
                "Mode": "",
                "RW": true,
                "Propagation": ""
            }
        ],
        "Config": {
            "Hostname": "8d9a75eb471b",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "6379/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "VALKEY_VERSION=8.1.1",
                "VALKEY_DOWNLOAD_URL=https://github.com/valkey-io/valkey/archive/refs/tags/8.1.1.tar.gz",
                "VALKEY_DOWNLOAD_SHA=3355fbd5458d853ab201d2c046ffca9f078000587ccbe9a6c585110f146ad2c5"
            ],
            "Cmd": [
                "valkey-server"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD-SHELL",
                    "redis-cli ping || exit 1"
                ]
            },
            "Image": "docker.io/valkey/valkey:8-bookworm@sha256:ff21bc0f8194dc9c105b769aeabf9585fea6a8ed649c0781caeac5cb3c247884",
            "Volumes": {
                "/data": {}
            },
            "WorkingDir": "/data",
            "Entrypoint": [
                "docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "5ba448eb2623834af872533bbe4ef82962bd094cf17ab4cd7285af34ecd5dbf8",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:bcc373d8f1ec874f2fc597e45e1976d6396011425442f6f2a74c9760932cc833",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "immich",
                "com.docker.compose.project.config_files": "/srv/mergerfs/presscloud/docker/immich/immich.yml",
                "com.docker.compose.project.working_dir": "/srv/mergerfs/presscloud/docker/immich",
                "com.docker.compose.service": "redis",
                "com.docker.compose.version": "2.39.1"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "e2b8289db9dd712486b57176d0182ea04ab988d0ce19ac0efdc16b71ab86f88f",
            "SandboxKey": "/var/run/docker/netns/e2b8289db9dd",
            "Ports": {
                "6379/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "immich_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "immich_redis",
                        "redis"
                    ],
                    "MacAddress": "5a:71:b3:9a:c5:04",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "b51092ec139cacc7aafb173e3816a9492168eca2b11ab5721f36b3c7d77f7b26",
                    "EndpointID": "997d808de0f12e4578e73793c2295d7e4686beab94b684393b0cad40d0e1cbef",
                    "Gateway": "172.22.0.1",
                    "IPAddress": "172.22.0.3",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "immich_redis",
                        "redis",
                        "8d9a75eb471b"
                    ]
                }
            }
        }
    }
]
